package be.msyben.vinylManager.tools.discogs.entities;

import java.io.Serializable;
import java.util.Map;

public final class Pagination implements Serializable {
    private static final long serialVersionUID = 6006959342482506436L;
    private int per_page;
    private int items;
    private int page;
    private Map urls;
    private int pages;

    public int getPer_page() {
        return per_page;
    }

    public void setPer_page(int per_page) {
        this.per_page = per_page;
    }

    public int getItems() {
        return items;
    }

    public void setItems(int items) {
        this.items = items;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public Map getUrls() {
        return urls;
    }

    public void setUrls(Map urls) {
        this.urls = urls;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    @Override
    public String toString() {
        return "Pagination{" + "per_page=" + per_page + ", items=" + items + ", page=" + page + ", urls=" + urls + ", pages=" + pages + '}';
    }
    
    
}
